Update comment

Updates an existing comment.

  • Anonymous comments: Security is based on knowing the comment UUID

    • Authenticated comments: Only the author can update (verified via X-API-KEY header)

    Path Parameters

    ParameterTypeRequiredDescription
    uuidstring (UUID)YesComment unique identifier

    Body Fields

    FieldTypeRequiredDescription
    contentstringNoNew comment content

    Response Fields

    FieldTypeDescription
    uuidstringComment unique identifier
    contentstringUpdated comment text
    authorNamestringAuthor name
    authorEmailstringAuthor email
    authorobject/nullUser object if authenticated
    createdAtdatetimeCreation timestamp

    Response

    • 200 OK: Comment successfully updated
    • 403 Forbidden: Authenticated user is not the author
    • 404 Not Found: Comment not found
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
string
Responses
200

Resource updated

400

Bad request

401

Unauthorized

404

Resource not found

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!